ALAS2-2018-1129


Amazon Linux 2 Security Advisory: ALAS-2018-1129
Advisory Release Date: 2018-12-19 17:41 Pacific
Severity: Low

Issue Overview:

MIT krb5 1.6 or later allows an authenticated kadmin with permission to add principals to an LDAP Kerberos database to circumvent a DN containership check by supplying both a "linkdn" and "containerdn" database argument, or by supplying a DN string which is a left extension of a container DN string but is not hierarchically within the container DN.(CVE-2018-5730 )

MIT krb5 1.6 or later allows an authenticated kadmin with permission to add principals to an LDAP Kerberos database to cause a denial of service (NULL pointer dereference) or bypass a DN container check by supplying tagged data that is internal to the database module.(CVE-2018-5729 )


Affected Packages:

krb5


Issue Correction:
Run yum update krb5 to update your system.

New Packages:
aarch64:
    krb5-devel-1.15.1-20.amzn2.0.1.aarch64
    krb5-libs-1.15.1-20.amzn2.0.1.aarch64
    krb5-server-1.15.1-20.amzn2.0.1.aarch64
    krb5-server-ldap-1.15.1-20.amzn2.0.1.aarch64
    krb5-workstation-1.15.1-20.amzn2.0.1.aarch64
    krb5-pkinit-1.15.1-20.amzn2.0.1.aarch64
    libkadm5-1.15.1-20.amzn2.0.1.aarch64
    krb5-debuginfo-1.15.1-20.amzn2.0.1.aarch64

i686:
    krb5-devel-1.15.1-20.amzn2.0.1.i686
    krb5-libs-1.15.1-20.amzn2.0.1.i686
    krb5-server-1.15.1-20.amzn2.0.1.i686
    krb5-server-ldap-1.15.1-20.amzn2.0.1.i686
    krb5-workstation-1.15.1-20.amzn2.0.1.i686
    krb5-pkinit-1.15.1-20.amzn2.0.1.i686
    libkadm5-1.15.1-20.amzn2.0.1.i686
    krb5-debuginfo-1.15.1-20.amzn2.0.1.i686

src:
    krb5-1.15.1-20.amzn2.0.1.src

x86_64:
    krb5-devel-1.15.1-20.amzn2.0.1.x86_64
    krb5-libs-1.15.1-20.amzn2.0.1.x86_64
    krb5-server-1.15.1-20.amzn2.0.1.x86_64
    krb5-server-ldap-1.15.1-20.amzn2.0.1.x86_64
    krb5-workstation-1.15.1-20.amzn2.0.1.x86_64
    krb5-pkinit-1.15.1-20.amzn2.0.1.x86_64
    libkadm5-1.15.1-20.amzn2.0.1.x86_64
    krb5-debuginfo-1.15.1-20.amzn2.0.1.x86_64